Bug 146455 - rpm-4.4 searches for nonexisting /etc/mnttab (Darwin)
Summary: rpm-4.4 searches for nonexisting /etc/mnttab (Darwin)
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-28 13:44 UTC by Anders F Björklund
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-07 19:34:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rpm-4.3-mnttab.patch (595 bytes, patch)
2005-01-28 13:46 UTC, Anders F Björklund
no flags Details | Diff

Description Anders F Björklund 2005-01-28 13:44:47 UTC
Description of problem:
Running for instance "rpm -U" outputs an error:
error: failed to open /etc/mnttab: No such file or directory

Version-Release number of selected component (if applicable):
4.4.1-0.11

How reproducible:
Always on Mac OS X, possibly other BSD platforms too.

Steps to Reproduce:
1. Try on Darwin
2.
3.
  
Actual results:
error: failed to open /etc/mnttab: No such file or directory

Expected results:
(nothing)

Additional info:
It might be possible to port it, but for now just hardcoded 1.

Comment 1 Anders F Björklund 2005-01-28 13:46:26 UTC
Created attachment 110352 [details]
rpm-4.3-mnttab.patch

just a workaround

Comment 2 Jeff Johnson 2005-01-28 18:15:10 UTC
What's needed is autocrap test for getmntinfo(2)
parallel to existing getmntinfo_r(2) tests. Mac OS X
appears to lack getmntinfo_r, but has getmntinfo(2).

Comment 3 Jeff Johnson 2005-02-07 19:34:54 UTC
Fixed in rpm-4.4.1-0.13 by adding autoconf check for getmntifo.


Note You need to log in before you can comment on or make changes to this bug.